#
# Project Builder configuration file
# For project schroot
#
# $Id$
#

#
# What is the project URL
#
#pburl schroot = svn://svn.schroot.org/schroot/devel
#pburl schroot = svn://svn+ssh.schroot.org/schroot/devel
#pburl schroot = cvs://cvs.schroot.org/schroot/devel
#pburl schroot = http://www.schroot.org/src/schroot-devel.tar.gz
#pburl schroot = ftp://ftp.schroot.org/src/schroot-devel.tar.gz
#pburl schroot = file:///src/schroot-devel.tar.gz
#pburl schroot = dir:///src/schroot-devel

# Repository
#pbrepo schroot = ftp://ftp.schroot.org
#pbml schroot = schroot-announce@lists.schroot.org
#pbsmtp schroot = localhost

# Check whether project is well formed 
# when downloading from ftp/http/...
# (containing already a directory with the project-version name)
#pbwf schroot = 1

#
# Packager label
#
#pbpackager schroot = William Porte <bill@schroot.org>
#

# For delivery to a machine by SSH (potentially the FTP server)
# Needs hostname, account and directory
#
#sshhost schroot = www.schroot.org
#sshlogin schroot = bill
#sshdir schroot = /schroot/ftp
#sshport schroot = 22

#
# For Virtual machines management
# Naming convention to follow: distribution name (as per ProjectBuilder::Distribution)
# followed by '-' and by release number
# followed by '-' and by architecture
# a .vmtype extension will be added to the resulting string
# a QEMU rhel-3-i286 here means that the VM will be named rhel-3-i386.qemu
#
#vmlist schroot = mandrake-10.1-i386,mandrake-10.2-i386,mandriva-2006.0-i386,mandriva-2007.0-i386,mandriva-2007.1-i386,mandriva-2008.0-i386,redhat-7.3-i386,redhat-9-i386,fedora-4-i386,fedora-5-i386,fedora-6-i386,fedora-7-i386,fedora-8-i386,rhel-3-i386,rhel-4-i386,rhel-5-i386,suse-10.0-i386,suse-10.1-i386,suse-10.2-i386,suse-10.3-i386,sles-9-i386,sles-10-i386,gentoo-nover-i386,debian-3.1-i386,debian-4.0-i386,ubuntu-6.06-i386,ubuntu-7.04-i386,ubuntu-7.10-i386,mandriva-2007.0-x86_64,mandriva-2007.1-x86_64,mandriva-2008.0-x86_64,fedora-6-x86_64,fedora-7-x86_64,fedora-8-x86_64,rhel-4-x86_64,rhel-5-x86_64,suse-10.2-x86_64,suse-10.3-x86_64,sles-10-x86_64,gentoo-nover-x86_64,debian-4.0-x86_64,ubuntu-7.04-x86_64,ubuntu-7.10-x86_64

#
# Valid values for vmtype are
# qemu, (vmware, xen, ... TBD)
#vmtype schroot = qemu

# Hash for VM stuff on vmtype
#vmntp default = pool.ntp.org

# We suppose we can commmunicate with the VM through SSH
#vmhost schroot = localhost
#vmlogin schroot = pb
#vmport schroot = 2222

# Timeout to wait when VM is launched/stopped
#vmtmout default = 120

# per VMs needed paramaters
#vmopt schroot = -m 384 -daemonize
#vmpath schroot = /home/qemu
#vmsize schroot = 5G

# 
# For Virtual environment management
# Naming convention to follow: distribution name (as per ProjectBuilder::Distribution)
# followed by '-' and by release number
# followed by '-' and by architecture
# a .vetype extension will be added to the resulting string
# a chroot rhel-3-i286 here means that the VE will be named rhel-3-i386.chroot
#
#velist schroot = fedora-7-i386

# VE params
#vetype schroot = chroot
#ventp default = pool.ntp.org
#velogin schroot = pb
#vepath schroot = /var/lib/mock
#veconf schroot = /etc/mock
#verebuild schroot = false

#
# Global version/tag for the project
#
#projver schroot = devel
#projtag schroot = 1

# Hash of valid version names
#version schroot = devel,stable

# Is it a test version or a production version
testver schroot = true

# Adapt to your needs:
# Optional if you need to overwrite the global values above
#
#pkgver schroot = stable
#pkgtag schroot = 3
# Hash of default package/package directory
#defpkgdir schroot = dir-schroot
# Hash of additional package/package directory
#extpkgdir minor-pkg = dir-minor-pkg

# List of files per pkg on which to apply filters
# Files are mentioned relatively to pbroot/defpkgdir
#filteredfiles schroot = Makefile.PL,configure.in,install.sh,schroot.8
#supfiles schroot = schroot.init

# For perl modules, names are different depending on distro
# Here perl-xxx for RPMs, libxxx-perl for debs, ...
# So the package name is indeed virtual
#namingtype schroot = perl
